Memos
Attachment Service

List Attachments

ListAttachments lists all attachments.

GET
/api/v1/attachments

Query Parameters

pageSize?integer

Optional. The maximum number of attachments to return. The service may return fewer than this value. If unspecified, at most 50 attachments will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

Formatint32
pageToken?string

Optional. A page token, received from a previous ListAttachments call. Provide this to retrieve the subsequent page.

filter?string

Optional. Filter to apply to the list results. Example: "mime_type=="image/png"" or "filename.contains("test")" Supported operators: =, !=, <, <=, >, >=, : (contains), in Supported fields: filename, mime_type, create_time, memo

orderBy?string

Optional. The order to sort results by. Example: "create_time desc" or "filename asc"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/attachments"
{
  "attachments": [
    {
      "name": "string",
      "createTime": "2019-08-24T14:15:22Z",
      "filename": "string",
      "content": "string",
      "externalLink": "string",
      "type": "string",
      "size": "string",
      "memo": "string",
      "motionMedia": {
        "family": "MOTION_MEDIA_FAMILY_UNSPECIFIED",
        "role": "MOTION_MEDIA_ROLE_UNSPECIFIED",
        "groupId": "string",
        "presentationTimestampUs": "string",
        "hasEmbeddedVideo": true
      }
    }
  ],
  "nextPageToken": "string",
  "totalSize": 0
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}

On this page

No Headings